#pragma once

#include <common.h>

typedef struct {
    u8 serial_data;
    u8 serial_control;
} serial_context;

serial_context *serial_get_context();

void serial_init();

void serial_write(u16 address, u8 value);
u8 serial_read(u16 address);